/*
 * pref-embuttons.js
 *
 */

/***** Preference Dialog Functions *****/
//
var gPref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
var gEMbCheckboxes = ["conciseModeEM","perfModeEM","alphasortEM","alphasortTM"];
var gEMbLists = ["extensionsTarget","themesTarget"];
// var gEMbRadiogroups = ["CMshowbuttonRG"];

// Load all preferences into the dialog
function EMbinit()
{
   try {
      for (var i = 0; i < gEMbCheckboxes.length; ++i) {
         var checkbox = document.getElementById(gEMbCheckboxes[i]);
         checkbox.checked = gPref.getBoolPref(checkbox.getAttribute("prefstring"));
      }

      for (i = 0; i < gEMbLists.length; i++) {
         var element = document.getElementById(gEMbLists[i]);
         var prefstring = element.getAttribute("prefstring");
         element.selectedItem = element.getElementsByAttribute("value", gPref.getIntPref(prefstring))[0];
      }

/*      for (i = 0; i < gEMbRadiogroups.length; i++) {
         var element = document.getElementById(gEMbRadiogroups[i]);
         var prefstring = element.getAttribute("prefstring");
         var selectee = gPref.getIntPref(prefstring);
         element.selectedIndex = selectee;
         EMBtoggleRadio(gEMbCheckboxes[i], gEMbRadiogroups[i], true);
      } */

   }
   catch (e) {}
}

// Save all preferences entered into the dialog
function EMbsave()
{
   try {
      for (var i = 0; i < gEMbCheckboxes.length; ++i) {
         var checkbox = document.getElementById(gEMbCheckboxes[i]);
         gPref.setBoolPref(checkbox.getAttribute("prefstring"), checkbox.checked);
      }

      for (i = 0; i < gEMbLists.length; i++) {
         var element = document.getElementById(gEMbLists[i]);
         gPref.setIntPref(element.getAttribute("prefstring"), element.selectedItem.value);
      }

/*    for (i = 0; i < gEMbRadiogroups.length; i++) {
      var group = document.getElementById(gEMbRadiogroups[i]);
      gPref.setIntPref(group.getAttribute("prefstring"), group.selectedItem.value);
    } */

   }
   catch (e) {}

   return true;
}

// Disables the radio buttons when a checkbox is selected or deselected
// If match = true, the radio buttons are disabled if the checkbox isn't checked (for initialisation)
// If match = false, the radio buttons are disabled if the checkbox is checked
// (for checkbox's onclick which is called before the checkbox is toggled)

/* function EMBtoggleRadio(aCheckboxID, aRadioID, aMatch)
{
   var checkboxElement = document.getElementById(aCheckboxID);
   var radiogroupElement = document.getElementById(aRadioID);
   if (aMatch) var setting = (!checkboxElement.checked) ? true : false;
   else var setting = (checkboxElement.checked) ? true : false;
  	radiogroupElement.disabled = setting;
} */










